using System;

namespace PoolPuzzle
{
    class Program
    {
        public static void Main(string[] args)
        {
            Q q = new Q(Q.R.Next(2) == 1);
            while (true)
            {
                Console.Write($"{q.N1   } {q.Op   } {q.N2   } = ");
                if (!int.TryParse(Console.ReadLine(), out int i))
                {
                    Console.WriteLine("Dziękujemy za grę!");
                    return;
                }
                if (q.Check(i))
                {
                    Console.WriteLine("Dobrze!");
                    q = new Q(Q.R.Next(2) == 1);
                }
                else Console.WriteLine("Błąd! Spróbuj ponownie.");
            }
        }
    }
}
